2 Replies Latest reply on May 21, 2015 4:31 PM by ABBYROZ

    Lightroom 5.7.1 upgrade broke my Develop module

    ABBYROZ

      I downloaded Lightroom 5.7.1 upgrade and now my Develop module doesn't work.  Please help!